Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.gms
Interface GossiperMBean

All Known Implementing Classes:
  Gossiper

    public interface GossiperMBean

Method Summary
`int` | `getCurrentGenerationNumber(java.lang.String address)`
`long` | `getEndpointDowntime(java.lang.String address)`
`int` | `getVersion(java.lang.String address)`
`void` | `unsafeAssassinateEndpoint(java.lang.String address)`

Method Detail

### getVersion

    int getVersion(java.lang.String address)
                   throws java.net.UnknownHostException

  Throws:
    `java.net.UnknownHostException`

### getEndpointDowntime

    long getEndpointDowntime(java.lang.String address)
                             throws java.net.UnknownHostException

  Throws:
    `java.net.UnknownHostException`

### getCurrentGenerationNumber

    int getCurrentGenerationNumber(java.lang.String address)
                                   throws java.net.UnknownHostException

  Throws:
    `java.net.UnknownHostException`

### unsafeAssassinateEndpoint

    void unsafeAssassinateEndpoint(java.lang.String address)
                                   throws java.net.UnknownHostException

  Throws:
    `java.net.UnknownHostException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation